Bug 612128 - [abrt] crash in evince-2.30.3-1.fc13: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] crash in evince-2.30.3-1.fc13: Process /usr/bin/evince was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:04a3182a06c82b47edae0d4b7af...
:
: 633676 647765 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 07:31 EDT by koxy
Modified: 2011-06-29 09:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.58 KB, text/plain)
2010-07-07 07:31 EDT, koxy
no flags Details

  None (edit)
Description koxy 2010-07-07 07:31:07 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: evince '/home/koxy/Documents/books and documentations/Astrophysics/Beskin V., i dr. (eds.) Accretion discs, jets and high energy phenomena in astrophysics (2002)(96dpi)(T)(610s)_PAp_.djvu'
component: evince
executable: /usr/bin/evince
global_uuid: 04a3182a06c82b47edae0d4b7af2a1d69defe38c
kernel: 2.6.33.5-124.fc13.i686.PAE
package: evince-2.30.3-1.fc13
rating: 4
reason: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 koxy 2010-07-07 07:31:10 EDT
Created attachment 430038 [details]
File: backtrace
Comment 2 Marek Kašík 2010-11-29 08:47:44 EST
*** Bug 633676 has been marked as a duplicate of this bug. ***
Comment 3 Marek Kašík 2010-11-29 08:47:50 EST
*** Bug 647765 has been marked as a duplicate of this bug. ***
Comment 4 Marek Kašík 2010-11-29 10:02:46 EST
Just a note for future attempts to fix this:

This is very hard to reproduce. The problem is related to multithreading of evince and djvulibre. It crashes sometimes when I have running one evince under valgrind with one djvu and open second djvu and list through it. The problem is probably the gc structure in miniexp.cpp, which is probably modified by both threads.
The bug #638785 is probably related to this too, but it crashes in another part of the code.

Marek
Comment 5 Bug Zapper 2011-06-01 10:32:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 09:53:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.